=== libdigidoc/mssp/CMakeLists.txt ===
install( FILES
    DigiDocMsspGw.h
    soapStub.h
    MsspErrors.h
    stdsoap2.h
    DESTINATION ${DIGIDOC_INCLUDE_DIR}/mssp
)
