=== libdigidoc/pkcs11/CMakeLists.txt ===
install( FILES
    pkcs11.h
    pkcs11f.h
    pkcs11t.h
    unix.h
    cryptoki.h
    DESTINATION ${DIGIDOC_INCLUDE_DIR}/pkcs11
)
