=== libdigidoc/ts/CMakeLists.txt ===
install( FILES
    DigiDocTS.h
    DESTINATION ${DIGIDOC_INCLUDE_DIR}/ts
)
