=== debian/changelog ===
libdigidoc (2.7.0-0ubuntu4) precise; urgency=low

  * 0001_new_EstEID_root_CA.patch:
    + Add the latest EstEID root CA issued by Sertifitseerimiskeskus.

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Wed, 07 Mar 2012 03:05:33 +0200

libdigidoc (2.7.0-0ubuntu3) precise; urgency=high

  * Urgency=high; this library is stalling 5 other packages in dep-wait.
  * Reintroduce CDBS list-missing only for common-binary-post-install-arch.

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Fri, 27 Jan 2012 17:45:25 +0200

libdigidoc (2.7.0-0ubuntu2) precise; urgency=low

  * Moved /usr/bin/cdigidoc to libdigidoc-dev.
  * Split architecture-independent content into libdigidoc-common.
    Thanks to Colin Watson for the suggestion.
  * Replace CDBS utils.mk list-missing with dh_install --fail-missing.
    - Removed: include /usr/share/cdbs/1/rules/utils.mk,
      common-binary-post-install-arch common-binary-post-install-indep::
    + Added: DEB_DH_INSTALL_ARGS += --fail-missing --list-missing

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Thu, 26 Jan 2012 21:38:59 +0200

libdigidoc (2.7.0-0ubuntu1) precise; urgency=low

  * Initial release for Ubuntu (LP: #916343).
    Based upon initial packaging by Kalev Lember, with further improvements
    by Guido Tabbernuk, then packaging review by Martin-Éric Racine.

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Sat, 14 Jan 2012 02:42:44 +0200
