=== debian/control ===
Source: libdigidoc
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guido Tabbernuk <boamaod@gmail.com>, Martin-Éric Racine <martin-eric.racine@iki.fi>
Build-Depends: cdbs, debhelper (>= 7), cmake, pkg-config, libssl-dev, libxml2-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/esteid/

Package: libdigidoc-common
Section: misc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libdigidoc architecture-independent files
 libDigiDoc is a library implementing a subset of the XAdES digital
 signature standard on top of Estonian specific .ddoc container format.
 It allows one to create, sign, verify, and modify digidoc XML containers.
 .
 This package provides the architecture-independent files.

Package: libdigidoc-dev
Section: libdevel
Architecture: any
Replaces: libdigidoc2-dev (<< 2.6.1)
Breaks: libdigidoc2-dev (<< 2.6.1)
Depends: libdigidoc2 (= ${binary:Version}), libxml2-dev, libssl-dev, ${misc:Depends}, ${shlibs:Depends}
Description: libdigidoc development files
 libDigiDoc is a library implementing a subset of the XAdES digital
 signature standard on top of Estonian specific .ddoc container format.
 It allows one to create, sign, verify, and modify digidoc XML containers.
 .
 This package provides the development files.

Package: libdigidoc2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libdigidoc2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: libdigidoc debugging symbols
 libDigiDoc is a library implementing a subset of the XAdES digital
 signature standard on top of Estonian specific .ddoc container format.
 It allows one to create, sign, verify, and modify digidoc XML containers.
 .
 This package provides the debugging symbols.

Package: libdigidoc2
Architecture: any
Depends: libdigidoc-common, ${misc:Depends}, ${shlibs:Depends}
Description: legacy C++ library for processing DDOC digital signatures
 libDigiDoc is a library implementing a subset of the XAdES digital
 signature standard on top of an Estonian-specific DDOC container format.
 It allows one to create, sign, verify and modify DigiDoc XML containers.
 .
 This library was initially developed more than 10 years ago, back
 when there was no adequate standard XML library to implement these
 features. Nowadays, it only remains in use by libdigidocpp to provide a 
 bug-for-bug backward-compatibility with older DigiDoc software that is
 widely deployed and essential for accessing public services in Estonia.
 .
 For any other purpose, this library shall be considered as deprecated
 and is best avoided whenever developing new DigiDoc software.
 .
 This package provides the shared libraries.
