=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_CMAKE_EXTRA_FLAGS = \
	-DCMAKE_INSTALL_SYSCONFDIR="/etc" \
	-DCMAKE_INSTALL_LIBDIR="lib/$(DEB_HOST_MULTIARCH)" \
	-DINSTALL_DOC=YES

%:
	dh "$@" --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_strip:
	dh_strip --ddeb-migration='libdigidoc-dbg (<< 3.10.1.1208+ds1-2)'

override_dh_install:
	dh_install -plibdigidoc-common --exclude=TEST
	dh_install --remaining-packages --list-missing

.PHONY: override_dh_auto_configure
