=== debian/changelog ===
libdigidoc (3.10.1.1208+ds1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS by using OpenSSL 1.0.2. (Closes: #828391)
  * Drop the uninstallable libdigidoc-dbg package,
    it was replaced by libdigidoc-dbgsym. (Closes: #851204)

 -- Adrian Bunk <bunk@debian.org>  Fri, 13 Jan 2017 20:53:25 +0200

libdigidoc (3.10.1.1208+ds1-2) unstable; urgency=medium

  * Update the dependency on libssl debug package (Closes: #808462).
  * Migrate to the automatic dbgsym packages.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 20 Dec 2015 12:49:15 +0100

libdigidoc (3.10.1.1208+ds1-1) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Make the build reproducible (Closes: #806564).

  [ Andrew Shadura ]
  * Exclude VS-related files.
  * Apply patches fully.
  * Update the watch file.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 30 Nov 2015 10:16:46 +0100

libdigidoc (3.10.1.1208-1) unstable; urgency=medium

  * Initial upload (Closes: #658300).

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 01 Nov 2015 19:41:28 +0100
