=== debian/control ===
Source: libdigidoc
Section: libs
Priority: extra
Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends:
 debhelper (>= 9),
 cmake,
 libssl1.0-dev | libssl-dev (<< 1.1.0~),
 libxml2-dev,
 zlib1g-dev
Standards-Version: 3.9.6
Homepage: https://github.com/open-eid/libdigidoc

Package: libdigidoc-common
Architecture: all
Section: misc
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Breaks:
 libdigidoc2 (<< ${binary:Version})
Replaces:
 libdigidoc2 (<< ${binary:Version})
Description: DigiDoc digital signature library common files
 DigiDoc is an XML file format for documents with digital signatures in use by
 the Estonian ID card infrastructure. This library allows for creation and
 reading of DigiDoc files.
 .
 This library implements a subset of the XAdES digital signature standard on
 top of Estonian-specific .ddoc container format.
 .
 This package contains common architecture-independent files for the
 applications using the DigiDoc digital signature library.

Package: libdigidoc2
Replaces:
 libdigidoc
Breaks:
 libdigidoc
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libdigidoc-common (= ${source:Version}),
 opensc,
 pcscd,
 ${misc:Depends},
 ${shlibs:Depends}
Description: DigiDoc digital signature library
 DigiDoc is an XML file format for documents with digital signatures in use by
 the Estonian ID card infrastructure. This library allows for creation and
 reading of DigiDoc files.
 .
 This library implements a subset of the XAdES digital signature standard on
 top of Estonian-specific .ddoc container format.
 .
 This package provides the shared libraries.

Package: libdigidoc-tools
Architecture: any
Section: misc
Depends:
 libdigidoc2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: DigiDoc digital signature library tools
 DigiDoc is an XML file format for documents with digital signatures in use by
 the Estonian ID card infrastructure. This library allows for creation and
 reading of DigiDoc files.
 .
 This library implements a subset of the XAdES digital signature standard on
 top of Estonian-specific .ddoc container format.
 .
 This package contains tools for manipulating signatures created with the
 DigiDoc digital signature library.

Package: libdigidoc-dev
Architecture: any
Section: libdevel
Depends:
 libdigidoc2 (= ${binary:Version}),
 libssl1.0-dev | libssl-dev (<< 1.1.0~),
 libxml2-dev,
 ${misc:Depends}
Description: DigiDoc digital signature development files
 DigiDoc is an XML file format for documents with digital signatures in use by
 the Estonian ID card infrastructure. This library allows for creation and
 reading of DigiDoc files.
 .
 This library implements a subset of the XAdES digital signature standard on
 top of Estonian-specific .ddoc container format.
 .
 This package provides the development files.

Package: libdigidoc-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Description: DigiDoc digital signature library documentation
 DigiDoc is an XML file format for documents with digital signatures in use by
 the Estonian ID card infrastructure. This library allows for creation and
 reading of DigiDoc files.
 .
 This library implements a subset of the XAdES digital signature standard on
 top of Estonian-specific .ddoc container format.
 .
 This package contains documentation for developing applications with the
 DigiDoc digital signature library.
