=== debian/watch ===
version=3

opts=\
dversionmangle=s/\+ds\d*$//,\
repacksuffix=+ds1\
    https://github.com/open-eid/libdigidoc/releases /open-eid/libdigidoc/releases/download/.*/libdigidoc-([\d.]*).tar.gz
