=== debian/changelog ===
libdigidoc (3.10.4+ds1-2) unstable; urgency=medium

  * Add Vcs-*.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 25 Apr 2018 15:52:12 +0200

libdigidoc (3.10.4+ds1-1) unstable; urgency=medium

  * New upstream version 3.10.4+ds1 (Closes: #853778).
  * Suggest libdigidoc-doc (Closes: #849893).
  * Build-depend on doxygen.
  * Step down as the maintainer.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 25 Apr 2018 15:49:28 +0200
