=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: libdigidoc
 Section: libs
 Priority: extra
-Maintainer: Andrew Shadura <andrewsh@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Uploaders: Andrej Shadura <andrewsh@debian.org>
 Build-Depends:
  debhelper (>= 9),
  cmake,
- libssl1.0-dev | libssl-dev (<< 1.1.0~),
+ doxygen,
+ libssl-dev,
  libxml2-dev,
  zlib1g-dev
 Standards-Version: 3.9.6
 Homepage: https://github.com/open-eid/libdigidoc
+Vcs-Git: https://git.dgit.debian.org/libdigidoc
+Vcs-Browser: https://browse.dgit.debian.org/libdigidoc.git/
 
 Package: libdigidoc-common
 Architecture: all
@@ -64,6 +68,7 @@
  libdigidoc2 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
+Suggests: libdigidoc-doc
 Description: DigiDoc digital signature library tools
  DigiDoc is an XML file format for documents with digital signatures in use by
  the Estonian ID card infrastructure. This library allows for creation and
@@ -80,9 +85,10 @@
 Section: libdevel
 Depends:
  libdigidoc2 (= ${binary:Version}),
- libssl1.0-dev | libssl-dev (<< 1.1.0~),
+ libssl-dev,
  libxml2-dev,
  ${misc:Depends}
+Suggests: libdigidoc-doc
 Description: DigiDoc digital signature development files
  DigiDoc is an XML file format for documents with digital signatures in use by
  the Estonian ID card infrastructure. This library allows for creation and
