=== debian/changelog ===
libdigidoc (3.10.5-6) unstable; urgency=medium

  * QA upload.
  * Fix building with GCC 14.  (Closes: #1075163)
  * Improve docs installation.
  * Enable all hardening flags.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 Aug 2024 01:09:19 +0200

libdigidoc (3.10.5-5) unstable; urgency=medium

  * QA upload.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1066271, #1065774)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 15 Apr 2024 12:12:47 +0200

libdigidoc (3.10.5-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062270

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 10:45:22 +0000

libdigidoc (3.10.5-4) unstable; urgency=medium

  * QA upload.
  * debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON to
    dh_auto_configure.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sun, 10 Jul 2022 19:12:11 -0700

libdigidoc (3.10.5-3) unstable; urgency=medium

  * QA upload.
  * Resolve FTBFS with openssl v3 (Closes: #1006389)
  * d/control: Update Standards-Version to 4.6.1, no changes needed
  * d/control: Mark libdigidoc-doc as Multi-Arch: foreign and mark
    libdigidoc-dev as Multi-Arch: same
  * d/patches/fix-national-encoding.patch: Fix national-encoding
    warning by correctly encoding as UTF-8
  * d/rules: Drop override_dh_strip, ddeb migration is complete

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 28 Jun 2022 15:07:48 -0500

libdigidoc (3.10.5-2) unstable; urgency=medium

  * QA upload.
  * VersionInfo.cmake: Set BUILD_DATE using UTC timezone.
    (Closes: #978064)
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/copyright: Use https URL for "Format".
  * debian/control: Switch to priority optional.
  * Switch to debhelper-compat 13.
  * debian/rules: Use dh_missing --list-missing.
  * debian/control: Update Standards-Version to 4.5.1.
  * Add lintian override for orphaned-package-maintained-in-private-space.
  * debian/control: Remove uploaders field for QA-maintained package.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 31 Dec 2020 00:11:01 -0800

libdigidoc (3.10.5-1) unstable; urgency=medium

  * New upstream release.
  * Move into the eIDAS group.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 09 Jun 2020 22:11:58 +0200
