=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_CMAKE_EXTRA_FLAGS = \
	-DCMAKE_INSTALL_SYSCONFDIR="/etc" \
	-DCMAKE_INSTALL_LIBDIR="lib/$(DEB_HOST_MULTIARCH)" \
	-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
	-DINSTALL_DOC=YES

%:
	dh "$@" --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_install:
	dh_install -plibdigidoc-common --exclude=TEST
	dh_install --remaining-packages

execute_after_dh_installdocs-indep:
	hardlink -v -t debian/libdigidoc-doc/usr/share/doc

override_dh_missing:
	dh_missing --list-missing

.PHONY: override_dh_auto_configure
